package com.navarsete.stand012.dummy;


import org.axonframework.eventhandling.annotation.EventHandler;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 * @author viggo
 */
public class SupplierOrderEventHandler {

    Logger log = LoggerFactory.getLogger(SupplierOrderEventHandler.class); 
    
    
    /**
     * L1 - Ordreprosess leverandør
     * "Ordremottak"
     * 
     * @param supplierOrderCreatedEvent 
     */
    @EventHandler
    public void handleSupplierOrderCreatedEvent(SupplierOrderCreatedEvent event) {   
        log.debug("***** SupplierOrderCreatedEvent FIRED, id: " + event.getSupplierOrderId() + ", description: " +event.getDescription());                  
    }     
    
    /**
     * L1 - Ordreprosess leverandør
     * "Send ordrebekreftelse"
     */
    @EventHandler
    public void handleOrderConfirmationSentEvent(OrderConfirmationSentEvent event) {
        log.debug("***** OrderConfirmationSentEvent FIRED, id: " + event.getSupplierOrderId());                 
    }    
    
    /**
    * L2 - Vareleveranse
    * "Plukke varer"
     */
    @EventHandler
    public void handleItemsPickedEvent(ItemsPickedEvent event) {
        log.debug("***** ItemsPickedEvent FIRED, id: " + event.getSupplierOrderId());               
    }
    
    /**
    * L2 - Vareleveranse
    * "Registerere antall pallplasser og palltyper"
    */
    @EventHandler
    public void handlePalletInformationRegisteredEvent(PalletInformationRegisteredEvent event) {
        log.debug("***** PalletInformationRegisteredEvent FIRED, id: " + event.getSupplierOrderId());        
    }
    
   /**
    * L2 - Vareleveranse
    * "Send pakkseddel"
    */
    @EventHandler
    public void handleAdvancedShippingNoticeSentEvent(AdvancedShippingNoticeSentEvent event) {
        log.debug("***** AdvancedShippingNoticeSentEvent FIRED, id: " + event.getSupplierOrderId());     
    }
}
