package com.navarsete.stand012.infra;

import com.mongodb.BasicDBObject;
import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.DBCursor;
import org.axonframework.eventstore.mongo.MongoTemplate;
import org.springframework.data.mongodb.MongoDbFactory;

/**
 *
 * CloudFoundry implementation of a MongoTemplate. We obtain the connection through the acquired factory..
 * 
 * @author Viggo Navarsete
 */
public class CFMongoTemplate implements MongoTemplate {

    private static final String DEFAULT_DOMAINEVENTS_COLLECTION = "domainevents";
    private static final String DEFAULT_SNAPSHOTEVENTS_COLLECTION = "snapshotevents";

    private MongoDbFactory mongoDbFactory;

    public CFMongoTemplate(MongoDbFactory mongoDbFactory) {
        this.mongoDbFactory = mongoDbFactory;
    }

    @Override
    public DBCollection domainEventCollection() {
        return database().getCollection(DEFAULT_DOMAINEVENTS_COLLECTION);
    }

    @Override
    public DBCollection snapshotEventCollection() {
        return database().getCollection(DEFAULT_SNAPSHOTEVENTS_COLLECTION);
    }

    public DBCollection getEventsForPurchase(String purchaseId) {
        System.out.println("DETAILS:");
        BasicDBObject whereQuery = new BasicDBObject();
        whereQuery.put("sequenceNumber", 0);
        DBCursor cursor = database().getCollection("stand012").find(whereQuery);
        while(cursor.hasNext()) {
            System.out.println(cursor.next());
        }
        
        return null;
       // return database().getCollection("").find(null);
    }
    
    //    @Override
    public DB database() {
        return mongoDbFactory.getDb();
    }

}
